cURL
curl --request GET \ --url https://api.example.com/api/v1/repositories/{repo_id} \ --header 'X-API-Key: <api-key>'
{ "archived": true, "clone_url": "<string>", "connected_org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "default_branch": "<string>", "full_path": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "last_activity_at": "2023-11-07T05:31:56Z", "last_commit_sha": "<string>", "last_scanned_at": "2023-11-07T05:31:56Z", "name": "<string>", "platform_id": "<string>" }
Get a single repository by ID.
Documentation IndexFetch the complete documentation index at: https://docs.riftmap.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.riftmap.dev/llms.txt
Use this file to discover all available pages before exploring further.
Successful Response
Basic repository record.